ch.qos.logback.core.pattern

## Class FormatInfo

- java.lang.Object
- - ch.qos.logback.core.pattern.FormatInfo

    public class FormatInfo
    extends java.lang.Object

FormattingInfo instances contain the information obtained when parsing formatting modifiers in conversion modifiers.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`FormatInfo()`
`FormatInfo(int min, int max)`
`FormatInfo(int min, int max, boolean leftPad, boolean leftTruncate)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `getMax()`
`int` `getMin()`
`int` `hashCode()`
`boolean` `isLeftPad()`
`boolean` `isLeftTruncate()`
`void` `setLeftPad(boolean leftAlign)`
`void` `setLeftTruncate(boolean leftTruncate)`
`void` `setMax(int max)`
`void` `setMin(int min)`
`java.lang.String` `toString()`
`static FormatInfo` `valueOf(java.lang.String str)` This method is used to parse a string such as "5", ".7", "5.7" or "-5.7" into a FormatInfo.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FormatInfo

    public FormatInfo()

#### FormatInfo

    public FormatInfo(int min,
              int max)

#### FormatInfo

    public FormatInfo(int min,
              int max,
              boolean leftPad,
              boolean leftTruncate)

### Method Detail

#### valueOf

    public static FormatInfo valueOf(java.lang.String str)
                              throws java.lang.IllegalArgumentException

This method is used to parse a string such as "5", ".7", "5.7" or "-5.7" into a FormatInfo.

Parameters:
  `str` - A String to convert into a FormatInfo object
Returns:
  A newly created and appropriately initialized FormatInfo object.
Throws:
  `java.lang.IllegalArgumentException`

#### isLeftPad

    public boolean isLeftPad()

#### setLeftPad

    public void setLeftPad(boolean leftAlign)

#### getMax

    public int getMax()

#### setMax

    public void setMax(int max)

#### getMin

    public int getMin()

#### setMin

    public void setMin(int min)

#### isLeftTruncate

    public boolean isLeftTruncate()

#### setLeftTruncate

    public void setLeftTruncate(boolean leftTruncate)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`